"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = commitizenConfigGenerator;

var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));

var _ansiColors = _interopRequireDefault(require("ansi-colors"));

var _pkgManager = _interopRequireDefault(require("../utils/pkgManager"));

function commitizenConfigGenerator() {
  return _commitizenConfigGenerator.apply(this, arguments);
}

function _commitizenConfigGenerator() {
  _commitizenConfigGenerator = (0, _asyncToGenerator2["default"])( /*#__PURE__*/_regenerator["default"].mark(function _callee() {
    return _regenerator["default"].wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            console.log(_ansiColors["default"].blue('\nConfiguring Commitizen 🔨 🔨'));
            _context.next = 3;
            return _pkgManager["default"].addDevDeps(['commitizen', 'cz-conventional-changelog']);

          case 3:
            _context.next = 5;
            return _pkgManager["default"].update({
              config: {
                commitizen: {
                  path: 'cz-conventional-changelog'
                }
              }
            });

          case 5:
            _context.next = 7;
            return _pkgManager["default"].addScripts({
              commit: 'cz'
            });

          case 7:
            console.log(_ansiColors["default"].blue('\nCommtizien successfully configured 🎉 🎉'));

          case 8:
          case "end":
            return _context.stop();
        }
      }
    }, _callee);
  }));
  return _commitizenConfigGenerator.apply(this, arguments);
}